ZipArchive::addEmptyDir
ZipArchive::addFromString
ZipArchive
PHP Manual

# ZipArchive::addFile

(PHP 5 >= 5.2.0, PECL zip >= 1.1.0)

ZipArchive::addFile — Adds a file to a ZIP archive from the given path

### Description

bool ZipArchive::addFile ( string `$filename` [, string `$localname` = `NULL` [, int `$start` = 0 [, int `$length` = 0 ]]] )

Adds a file to a ZIP archive from a given path.

### Parameters

`filename`

  The path to the file to add.

`localname`

  If supplied, this is the local name inside the ZIP archive that will override the `filename`.

`start`

  This parameter is not used but is required to extend ZipArchive.

`length`

  This parameter is not used but is required to extend ZipArchive.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

This example opens a ZIP file archive test.zip and add the file /path/to/index.txt. as newname.txt.

Example #1 Open and extract

`<?php
$zip = new ZipArchive;
if ($zip->open('test.zip') === TRUE) {
$zip->addFile('/path/to/index.txt', 'newname.txt');
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

### Notes

> Note:

> When a file is set to be added to the archive, PHP will attempt to lock the file and it is only released once the ZIP operation is done. In short, it means you can first delete an added file after the archive is closed.

ZipArchive::addEmptyDir
ZipArchive::addFromString
ZipArchive
PHP Manual